<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:composite="http://xmlns.jcp.org/jsf/composite">
  <composite:interface>
    <composite:attribute name="value" required="true" />
    <composite:attribute name="valueChangeListener" required="true" targets="localeselect" method-signature="void valueChanged(javax.faces.event.ValueChangeEvent)" />
    <composite:attribute name="list" required="false" type="java.util.List" />
    <!-- expect List<Locale> -->
  </composite:interface>
  <composite:implementation>
    <h:graphicImage id="flagId" library="images_flags" name="#{cc.attrs.value}.png" styleClass="middleLink" />
    <div id="#{cc.clientId}:switcher" class="languageSwitcher">
      <h:selectOneMenu id="localeselect" value="#{cc.attrs.value}" immediate="true" onchange="submit()" styleClass="select2dropdown">
				<f:attribute name="facesContext" value="#{facesContext}" />
        <f:selectItems value="#{cc.attrs.list}" var="elem" itemValue="#{elem}" itemLabel="#{elem.getDisplayName(elem)}" />
      </h:selectOneMenu>
    </div>
    <script type="text/javascript">
      ship.registerToggle("#{cc.clientId}:flagId", "#{cc.clientId}:switcher");
		</script>
  </composite:implementation>
</ui:composition>
